<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2004 Ian Berry                                            |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | cacti: a php-based graphing solution                                    |
 +-------------------------------------------------------------------------+
 | Most of this code has been designed, written and is maintained by       |
 | Ian Berry. See about.php for specific developer credit. Any questions   |
 | or comments regarding this code should be directed to:                  |
 | - iberry@raxnet.net                                                     |
 +-------------------------------------------------------------------------+
 | - raXnet - http://www.raxnet.net/                                       |
 +-------------------------------------------------------------------------+
*/

/*
The following section of code is designed to present users with a logout 
instruction screen with cacti is configured for Web Basic Auth.  Otherwise
original functionality remains.

Tony Roman 07-21-2004
*/

include("./include/config.php");

if (read_config_option("web_basic_auth") == "on") { ?>
<html>
<head>
        <title>Logout of Cacti</title>
        <STYLE TYPE="text/css">
        <!--
                BODY, TABLE, TR, TD {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px;}
                A {text-decoration: none;}
                A:active { text-decoration: none;}
                A:hover {text-decoration: underline; color: #333333;}
                A:visited {color: Blue;}
        -->
        </style>
</head>
 
<body>
 
<table align="center">
        <tr>
                <td><img src="images/auth_logout.gif" border="0" alt=""></td>
        </tr>
        <tr>
                <td><br>To end your Cacti session please close your web browser.<br><br><a href="index.php">Return to Cacti</a></td>
        </tr>
</table>
 
</body>
</html>
<?php 
} else {
	setcookie(session_name(),"",time() - 3600,"/");
	header("Location: index.php");
	exit;
}
?>
